%global _empty_manifest_terminate_build 0
Name:           python-sniffio
Version:        1.3.0
Release:        1
Summary:        Sniff out which async library your code is running under
License:        Apache-2.0
URL:            https://github.com/python-trio/sniffio
Source0:        https://files.pythonhosted.org/packages/cd/50/d49c388cae4ec10e8109b1b833fd265511840706808576df3ada99ecb0ac/sniffio-1.3.0.tar.gz
BuildArch:      noarch

Requires:	python3-contextvars

%description
%{summary}

%package -n python3-sniffio
Summary:	Sniff out which async library your code is running under
Provides:	python-sniffio
# Base build requires
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-sniffio
%{summary}

%package help
Summary:	Development documents and examples for sniffio
Provides:	python3-sniffio-doc
%description help
%{summary}

%prep
%autosetup -n sniffio-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-sniffio -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Dec 07 2022 dingdingaaaaa <dingziwei@kylinos.cn> - 1.3.0-1
- Upgrade version to 1.3.0

* Wed Jun 15 2022 OpenStack_SIG <openstack@openeuler.org> - 1.2.0-1
- Upgrade package python3-sniffio to version 1.2.0

* Fri Sep 04 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
